> ## Documentation Index
> Fetch the complete documentation index at: https://dexbuilder.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询永续合约统计数据

> 查询指定永续合约的统计数据

查询指定永续合约的统计数据。


## OpenAPI

````yaml openapi/perpdex.yaml GET /dex_futures/{settle}/contract_stats
openapi: 3.0.3
info:
  title: DexBuilder PerpDEX API
  version: 1.0.0
  description: DexBuilder PerpDEX REST API。
servers:
  - url: https://api.dexbuilder.com/api/v1
    description: DexBuilder PerpDEX REST API
security:
  - DexBuilderKey: []
    DexBuilderTimestamp: []
    DexBuilderSignature: []
tags:
  - name: 行情
    description: 永续合约公开行情与市场数据
  - name: 风险数据
    description: 风险限额与市场强平数据
  - name: 账户
    description: 账户与费率
  - name: 持仓
    description: 持仓查询与管理
  - name: 订单
    description: 订单、成交与批量交易
paths:
  /dex_futures/{settle}/contract_stats:
    get:
      tags:
        - 行情
      summary: 查询永续合约统计数据
      description: 查询指定永续合约的统计数据。
      operationId: listPerpContractStats
      parameters:
        - $ref: '#/components/parameters/Settle'
        - $ref: '#/components/parameters/ContractQueryRequired'
        - $ref: '#/components/parameters/From'
        - name: interval
          in: query
          required: false
          description: 统计周期
          schema:
            type: string
            default: 5m
        - name: limit
          in: query
          required: false
          description: 返回记录数量
          schema:
            type: integer
      responses:
        '200':
          description: 查询成功
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ContractStat'
      security: []
components:
  parameters:
    Settle:
      name: settle
      in: path
      required: true
      description: 结算币种
      schema:
        type: string
        enum:
          - usdt
      example: usdt
    ContractQueryRequired:
      name: contract
      in: query
      required: true
      description: 永续合约
      schema:
        type: string
      example: BTC_USDT
    From:
      name: from
      in: query
      required: false
      description: 开始时间，Unix 秒
      schema:
        type: integer
        format: int64
  schemas:
    ContractStat:
      type: object
      properties:
        time:
          type: integer
          format: int64
          description: 统计时间
        lsr_taker:
          type: number
          description: 主动成交多空比
        lsr_account:
          type: number
          description: 账户多空比
        open_interest:
          type: string
          description: 持仓量
        open_interest_usd:
          type: number
          description: 美元计价持仓量
        mark_price:
          type: string
          description: 标记价格
      additionalProperties: true
  securitySchemes:
    DexBuilderKey:
      type: apiKey
      in: header
      name: KEY
      description: DexBuilder API Key
    DexBuilderTimestamp:
      type: apiKey
      in: header
      name: Timestamp
      description: Unix 时间戳（秒），与当前时间差不得超过 60 秒
    DexBuilderSignature:
      type: apiKey
      in: header
      name: SIGN
      description: 使用 API Secret 对签名字符串执行 HMAC-SHA512 后的十六进制签名

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.